com.google.gwt.user.cellview.client

## Interface CellBrowser.Template

- All Superinterfaces:
    SafeHtmlTemplates
  Enclosing class:
    CellBrowser

      static interface CellBrowser.Template
      extends SafeHtmlTemplates

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.google.gwt.safehtml.client.SafeHtmlTemplates

      `SafeHtmlTemplates.Template`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SafeHtml` | `div(int idx, java.lang.String classes, SafeStyles padding, SafeHtml imageHtml, SafeHtml cellContents)`
    `SafeHtml` | `divFocusable(int idx, java.lang.String classes, SafeStyles padding, int tabIndex, SafeHtml imageHtml, SafeHtml cellContents)`
    `SafeHtml` | `divFocusableWithKey(int idx, java.lang.String classes, SafeStyles padding, int tabIndex, char accessKey, SafeHtml imageHtml, SafeHtml cellContents)`
    `SafeHtml` | `imageWrapper(SafeStyles css, SafeHtml image)`

- - ### Method Detail

    - #### div

          @SafeHtmlTemplates.Template(value="<div __idx=\"{0}\" class=\"{1}\" style=\"{2}position:relative;outline:none;\">{3}<div>{4}</div></div>")
          SafeHtml div(int idx,
                                                                                                                                                                  java.lang.String classes,
                                                                                                                                                                  SafeStyles padding,
                                                                                                                                                                  SafeHtml imageHtml,
                                                                                                                                                                  SafeHtml cellContents)

    - #### divFocusable

          @SafeHtmlTemplates.Template(value="<div __idx=\"{0}\" class=\"{1}\" style=\"{2}position:relative;outline:none;\" tabindex=\"{3}\">{4}<div>{5}</div></div>")
          SafeHtml divFocusable(int idx,
                                                                                                                                                                                            java.lang.String classes,
                                                                                                                                                                                            SafeStyles padding,
                                                                                                                                                                                            int tabIndex,
                                                                                                                                                                                            SafeHtml imageHtml,
                                                                                                                                                                                            SafeHtml cellContents)

    - #### divFocusableWithKey

          @SafeHtmlTemplates.Template(value="<div __idx=\"{0}\" class=\"{1}\" style=\"{2}position:relative;outline:none;\" tabindex=\"{3}\" accessKey=\"{4}\">{5}<div>{6}</div></div>")
          SafeHtml divFocusableWithKey(int idx,
                                                                                                                                                                                                                     java.lang.String classes,
                                                                                                                                                                                                                     SafeStyles padding,
                                                                                                                                                                                                                     int tabIndex,
                                                                                                                                                                                                                     char accessKey,
                                                                                                                                                                                                                     SafeHtml imageHtml,
                                                                                                                                                                                                                     SafeHtml cellContents)

    - #### imageWrapper

          @SafeHtmlTemplates.Template(value="<div style=\"{0}position:absolute;\">{1}</div>")
          SafeHtml imageWrapper(SafeStyles css,
                                                                                                                    SafeHtml image)